---
name: SerenWhisper
version: 1.0.0
description: "Speech-to-Text transcription for AI Agents. Converts audio files to text with support for 97+ languages."
homepage: https://api.openai.com/v1
metadata: {"seren":{"category":"integration","publisher_slug":"seren-whisper","api_base":"https://api.serendb.com"}}
---

# SerenWhisper

Speech-to-Text transcription for AI Agents. Converts audio files to text with support for 97+ languages.

## API Endpoints

### POST `/audio/transcriptions`

Transcribe audio to text using Whisper model

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/seren-whisper/audio/transcriptions \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### POST `/audio/translations`

Translate audio to English text using Whisper model

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/seren-whisper/audio/translations \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

## MCP Tools

This API publisher also supports MCP (Model Context Protocol) access. Each API endpoint is available as an MCP tool.

### Available Tools

- `post_audio_transcriptions`: Transcribe audio to text using Whisper model
- `post_audio_translations`: Translate audio to English text using Whisper model

### Introspection

```bash
# List tools
curl https://api.serendb.com/publishers/seren-whisper/_mcp/tools \
  -H "Authorization: Bearer $SEREN_API_KEY"

# Call a tool
curl -X POST https://api.serendb.com/publishers/seren-whisper/_mcp/tools/{tool_name} \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"body": {"key": "value"}}'
```

## Pricing

**Pricing Model:** per_byte

- Base price per 1000 rows (bytes): $0.00100000

**Minimum charge:** $0.00010000
**Unresolved fallback charge:** $0
**Reserve max charge:** $0.75000000

---

## Need Help?

- Seren Docs: https://docs.serendb.com
- Publisher: Speech-to-Text transcription for AI Agents. Converts audio files to text with support for 97+ languages.
